Logic Pro 7 & earlier How to run Logic with Vista ?

Status
Not open for further replies.

Markdvc

Administrator
Staff member
I moved this to the legacy forum. The last version of Logic that runs on windows is Logic 5.5.1. All versions released since then, up to the current 8.0.2, are Mac only. Logic 5.5.1 was released in 2003, years before vista. I have no idea as to how well it runs on vista, if at all. it runs well in XP, albeit has problems addressing more than 1.3 GB of RAM.

kind regards

Mark
 
Upvote 0

DargeThis

New Member
Hi.I just try to install the 5.1 version but it says it has a problem and the software doesn go thru ... i heard that the 5.3 version is good for it.
is it true ?
 
Upvote 0

Markdvc

Administrator
Staff member
If you are still using Logic 5 Windows, you really should be using 5.5.1, still available from Apple here:

ftp://ftp.apple.com/emagic/

There is really no good reason not to use 5.5.1

regards

Mark
 
Upvote 0
Status
Not open for further replies.
Top